Skip to main content
GET
Get Groups for Dataset

Authorizations

Authorization
string
header
required

Headers

TR-Dataset
string<uuid>
required

The dataset id or tracking_id to use for the request. We assume you intend to use an id if the value is a valid uuid.

Path Parameters

dataset_id
string<uuid>
required

The id of the dataset to fetch groups for.

page
integer<int64> | null
required

The page of groups to fetch. Page is 1-indexed. Only used if use_cursor = false.

Query Parameters

use_cursor
boolean | null

Flag to enable cursor mode, this runs faster for large scroll operations. Defaults to false

cursor
string<uuid> | null

The cursor offset for. Requires use_cursor = True. Defaults to 00000000-00000000-00000000-00000000. Group ids are compared to the cursor using a greater than or equal to.

Response

JSON body representing the groups created by the given dataset

groups
object[]
required

The list of all the groups.

total_pages
integer<int32>
required

Total number of pages. Pages is groups_count / 10

Required range: x >= 0
next_cursor
string<uuid> | null

Parameter for the next cursor offset.